Bug 1017494 - Unhelpful scrolling behaviour when reporting error with external tracker change
Unhelpful scrolling behaviour when reporting error with external tracker change
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs (Show other bugs)
4.4
Unspecified Unspecified
low Severity low (vote)
: ---
: ---
Assigned To: Matt Tyson
Simon Green
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 23:30 EDT by Jason McDonald
Modified: 2014-10-12 18:51 EDT (History)
4 users (show)

See Also:
Fixed In Version: 4.4.1013
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-03 20:13:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason McDonald 2013-10-09 23:30:32 EDT
Description of problem:
When a user has JavaScript enabled and incorrectly enters external tracker details (e.g. by choosing a tracker and not entering a bug identifier), pressing the top Submit button results in the page scrolling so that the error message inserted below the external tracker line is positioned just below the bottom edge of the browser window and thus not visible to the user, who may be left confused about why the form was not submitted.

Version-Release number of selected component (if applicable):
4.4.0009 (and Firefox 23)

How reproducible:
Always

Steps to Reproduce:
1. Ensure that JavaScript is enabled in your browser.
2. View a bug that has no external trackers set.
3. Choose a tracker from the drop-down list but leave the ID field blank.
4. Scroll up to the top Submit button. If necessary resize you browser window so that the External Trackers table is below the bottom of the browser window.
5. Press the Submit button.

Actual results:
The page scrolls so that the External Tracker field is shown at the bottom of the window, but the error message on the next line is below the bottom edge of the browser window.

Expected results:
The page should be scrolled so that both the incorrect External Tracker setting and the error message are visible.

Additional info:
none.
Comment 1 Matt Tyson 2014-01-12 23:17:52 EST
On firefox the browser would scroll to the offending field on a validation
error, but scroll as far as error message which was below the field.

Chrome scrolled to the error message.

I've fixed it so it will now scroll to the error message in both chrome and firefox.
Comment 3 Jason McDonald 2014-02-03 20:13:43 EST
This change is now live. If there are any issues, do not reopen this bug.
Instead, you should create a new bug and reference this bug.

Note You need to log in before you can comment on or make changes to this bug.